5g core control plane helm charts and 5g Ran simulator helm charts

Change-Id: I4201ec10d796c1aa8f21679f99fbb790e414d97a
diff --git a/omec/5g-control-plane/templates/bin/_smf-run.sh.tpl b/omec/5g-control-plane/templates/bin/_smf-run.sh.tpl
new file mode 100644
index 0000000..f4b95b9
--- /dev/null
+++ b/omec/5g-control-plane/templates/bin/_smf-run.sh.tpl
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Copyright 2020-present Open Networking Foundation
+#
+# SPDX-License-Identifier: LicenseRef-ONF-Member-Only-1.0
+
+set -xe
+
+{{- if .Values.config.coreDump.enabled }}
+cp /free5gc/smf/smf /tmp/coredump/
+{{- end }}
+
+#cat config files
+
+cd /free5gc
+cat ./config/free5GC.conf
+cat ./config/smfcfg.conf
+cat ./config/uerouting.yaml
+cat /etc/hosts
+cp /free5gc/config/smfcfg.conf /tmp/smfcfg.conf
+sed -i "s/POD_IP/${POD_IP}/g" /tmp/smfcfg.conf
+NRF_ADDR=$(dig +short nrf.omec.svc.cluster.local)
+sed -i "s/nrf.free5gc.org/${NRF_ADDR}/g" /tmp/smfcfg.conf
+./smf/smf -smfcfg /tmp/smfcfg.conf -uerouting ./config/uerouting.yaml